org.eclipse.jetty.websocket

## Interface WebSocketConnection

- All Superinterfaces:
    AsyncConnection, Connection
  All Known Subinterfaces:
    WebSocketServletConnection
  All Known Implementing Classes:
    WebSocketConnectionD00, WebSocketConnectionD06, WebSocketConnectionD08, WebSocketConnectionRFC6455, WebSocketServletConnectionD00, WebSocketServletConnectionD06, WebSocketServletConnectionD08, WebSocketServletConnectionRFC6455

      public interface WebSocketConnection
      extends AsyncConnection

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fillBuffersFrom(Buffer buffer)`
    `WebSocket.Connection` | `getConnection()`
    `List<Extension>` | `getExtensions()`
    `void` | `shutdown()`

    - ### Methods inherited from interface org.eclipse.jetty.io.nio.AsyncConnection

      `onInputShutdown`

    - ### Methods inherited from interface org.eclipse.jetty.io.Connection

      `getTimeStamp, handle, isIdle, isSuspended, onClose, onIdleExpired`

- - ### Method Detail

    - #### fillBuffersFrom

          void fillBuffersFrom(Buffer buffer)

    - #### getExtensions

          List<Extension> getExtensions()

    - #### getConnection

          WebSocket.Connection getConnection()

    - #### shutdown

          void shutdown()

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.